=== debian/changelog ===
ros-humble-intra-process-demo (0.20.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 10 Jan 2023 06:00:00 -0000

ros-humble-intra-process-demo (0.20.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 10 May 2022 05:00:00 -0000

ros-humble-intra-process-demo (0.20.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 Apr 2022 05:00:00 -0000

ros-humble-intra-process-demo (0.20.0-1jammy) jammy; urgency=high

  * Add opencv_imgproc dependency for cv::putText (#554 <https://github.com/ros2/demos/issues/554>)
  * Install includes to include/${PROJECT_NAME} (#548 <https://github.com/ros2/demos/issues/548>)
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-humble-intra-process-demo (0.19.0-1jammy) jammy; urgency=high

  * Fix include order and relative paths for cpplint (#551 <https://github.com/ros2/demos/issues/551>)
  * Contributors: Jacob Perron

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-humble-intra-process-demo (0.18.0-1jammy) jammy; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Additional fixes for documentation in demos. (#538 <https://github.com/ros2/demos/issues/538>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 17 Dec 2021 06:00:00 -0000

ros-humble-intra-process-demo (0.17.0-1jammy) jammy; urgency=high

  * Fixing deprecated subscriber callback warnings (#532 <https://github.com/ros2/demos/issues/532>)
  * Contributors: Abrar Rahman Protyasha

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 Oct 2021 05:00:00 -0000

ros-humble-intra-process-demo (0.16.0-1jammy) jammy; urgency=high

  * Revert "Add type masquerading demos (#482 <https://github.com/ros2/demos/issues/482>)" (#520 <https://github.com/ros2/demos/issues/520>)
  * Add type masquerading demos (#482 <https://github.com/ros2/demos/issues/482>)
  * Contributors: Audrow Nash, William Woodall

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 11 Aug 2021 05:00:00 -0000

ros-humble-intra-process-demo (0.15.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 May 2021 05:00:00 -0000

ros-humble-intra-process-demo (0.14.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 26 Apr 2021 05:00:00 -0000

ros-humble-intra-process-demo (0.14.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 19 Apr 2021 05:00:00 -0000

ros-humble-intra-process-demo (0.14.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-humble-intra-process-demo (0.13.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 25 Mar 2021 05:00:00 -0000

ros-humble-intra-process-demo (0.12.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-humble-intra-process-demo (0.12.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-humble-intra-process-demo (0.11.0-1jammy) jammy; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 10 Dec 2020 06:00:00 -0000

ros-humble-intra-process-demo (0.10.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 21 Sep 2020 05:00:00 -0000

ros-humble-intra-process-demo (0.10.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-humble-intra-process-demo (0.9.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 01 Jun 2020 05:00:00 -0000

ros-humble-intra-process-demo (0.9.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 May 2020 05:00:00 -0000

ros-humble-intra-process-demo (0.9.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 12 May 2020 05:00:00 -0000

ros-humble-intra-process-demo (0.9.0-1jammy) jammy; urgency=high

  * Fix pendulum_control tests to use stdout stream. (#430 <https://github.com/ros2/demos/issues/430>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 30 Apr 2020 05:00:00 -0000

ros-humble-intra-process-demo (0.8.4-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-humble-intra-process-demo (0.8.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-humble-intra-process-demo (0.8.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 Nov 2019 06:00:00 -0000

ros-humble-intra-process-demo (0.8.1-1jammy) jammy; urgency=high

  * Replace ready_fn with ReadyToTest action (#404 <https://github.com/ros2/demos/issues/404>)
  * Contributors: Peter Baughman

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-humble-intra-process-demo (0.8.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-humble-intra-process-demo (0.7.6-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 30 May 2019 05:00:00 -0000

ros-humble-intra-process-demo (0.7.5-1jammy) jammy; urgency=high

  * Allow ESC/q/sigint to exit demo (#345 <https://github.com/ros2/demos/issues/345>)
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-humble-intra-process-demo (0.7.4-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-humble-intra-process-demo (0.7.3-1jammy) jammy; urgency=high




