## ros-humble-intra-process-demo 0.20.5

=== debian/changelog ===
ros-humble-intra-process-demo (0.20.5-1bookworm) bookworm; urgency=high

  * Removed pre-compiler check for opencv3 (#695 <https://github.com/ros2/demos/issues/695>) (#697 <https://github.com/ros2/demos/issues/697>)
  * Contributors: mergify[bot]

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 25 Jul 2024 16:00:00 -0000

ros-humble-intra-process-demo (0.20.4-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-intra-process-demo (0.20.3-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-intra-process-demo (0.20.2-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-humble-intra-process-demo (0.20.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-intra-process-demo (0.20.0-1bookworm) bookworm; urgency=high

  * Add opencv_imgproc dependency for cv::putText (#554 <https://github.com/ros2/demos/issues/554>)
  * Install includes to include/${PROJECT_NAME} (#548 <https://github.com/ros2/demos/issues/548>)
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-intra-process-demo (0.19.0-1bookworm) bookworm; urgency=high

  * Fix include order and relative paths for cpplint (#551 <https://github.com/ros2/demos/issues/551>)
  * Contributors: Jacob Perron

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-intra-process-demo (0.18.0-1bookworm) bookworm; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Additional fixes for documentation in demos. (#538 <https://github.com/ros2/demos/issues/538>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-intra-process-demo (0.17.0-1bookworm) bookworm; urgency=high

  * Fixing deprecated subscriber callback warnings (#532 <https://github.com/ros2/demos/issues/532>)
  * Contributors: Abrar Rahman Protyasha

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 17 Oct 2021 16:00:00 -0000

ros-humble-intra-process-demo (0.16.0-1bookworm) bookworm; urgency=high

  * Revert "Add type masquerading demos (#482 <https://github.com/ros2/demos/issues/482>)" (#520 <https://github.com/ros2/demos/issues/520>)
  * Add type masquerading demos (#482 <https://github.com/ros2/demos/issues/482>)
  * Contributors: Audrow Nash, William Woodall

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-humble-intra-process-demo (0.15.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 May 2021 16:00:00 -0000

ros-humble-intra-process-demo (0.14.2-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-humble-intra-process-demo (0.14.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 18 Apr 2021 16:00:00 -0000

ros-humble-intra-process-demo (0.14.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-intra-process-demo (0.13.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 24 Mar 2021 16:00:00 -0000

ros-humble-intra-process-demo (0.12.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-intra-process-demo (0.12.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-intra-process-demo (0.11.0-1bookworm) bookworm; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 09 Dec 2020 16:00:00 -0000

ros-humble-intra-process-demo (0.10.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 20 Sep 2020 16:00:00 -0000

ros-humble-intra-process-demo (0.10.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 16 Jun 2020 16:00:00 -0000

ros-humble-intra-process-demo (0.9.3-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 31 May 2020 16:00:00 -0000

ros-humble-intra-process-demo (0.9.2-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-humble-intra-process-demo (0.9.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 11 May 2020 16:00:00 -0000

ros-humble-intra-process-demo (0.9.0-1bookworm) bookworm; urgency=high

  * Fix pendulum_control tests to use stdout stream. (#430 <https://github.com/ros2/demos/issues/430>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 29 Apr 2020 16:00:00 -0000

ros-humble-intra-process-demo (0.8.4-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 Nov 2019 16:00:00 -0000

ros-humble-intra-process-demo (0.8.3-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 10 Nov 2019 16:00:00 -0000

ros-humble-intra-process-demo (0.8.2-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Nov 2019 16:00:00 -0000

ros-humble-intra-process-demo (0.8.1-1bookworm) bookworm; urgency=high

  * Replace ready_fn with ReadyToTest action (#404 <https://github.com/ros2/demos/issues/404>)
  * Contributors: Peter Baughman

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 22 Oct 2019 16:00:00 -0000

ros-humble-intra-process-demo (0.8.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 25 Sep 2019 16:00:00 -0000


